aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/issue38/testsuite.sh
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2016-12-22 06:54:22 +0100
committerTristan Gingold <tgingold@free.fr>2016-12-22 06:54:22 +0100
commit6a25af7e804b49c5c3a8b64cd020f483b9607bce (patch)
treefb9d30e1bdac35d28cfa45c7edce8b7f6678c958 /testsuite/gna/issue38/testsuite.sh
parentf10004a88525b7ab59661f7dc62506eb22658b1a (diff)
downloadghdl-6a25af7e804b49c5c3a8b64cd020f483b9607bce.tar.gz
ghdl-6a25af7e804b49c5c3a8b64cd020f483b9607bce.tar.bz2
ghdl-6a25af7e804b49c5c3a8b64cd020f483b9607bce.zip
Add testcase for issue #38
Diffstat (limited to 'testsuite/gna/issue38/testsuite.sh')
-rwxr-xr-xtestsuite/gna/issue38/testsuite.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/testsuite/gna/issue38/testsuite.sh b/testsuite/gna/issue38/testsuite.sh
new file mode 100755
index 000000000..3e5d71365
--- /dev/null
+++ b/testsuite/gna/issue38/testsuite.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+analyze_failure bugreport_aliasprotected.vhdl 2>log.txt
+
+if grep -q "'protected' is expected instead of 'protected'" log.txt; then
+ echo "Incorrect error message"
+ exit 1
+fi
+rm log.txt
+
+clean test
+
+# TODO
+if false; then
+GHDL_STD_FLAGS=--std=08
+
+analyze bugreport_aliasprotected.vhdl
+simulate test
+
+clean test
+fi
+
+echo "Test successful"